Package wx :: Module grid :: Class PyGridCellAttrProvider

[frames | no frames]

## Type PyGridCellAttrProvider

              object --+
                       |
    GridCellAttrProvider --+
                           |
                          PyGridCellAttrProvider

Proxy of C++ PyGridCellAttrProvider class

Method Summary
PyGridCellAttrProvider | `__init__(self)`
| ``base_GetAttr`(*args, **kwargs)` Please use PyGridCellAttrProvider.GetAttr instead.
| ``base_SetAttr`(*args, **kwargs)` Please use PyGridCellAttrProvider.SetAttr instead.
| ``base_SetColAttr`(*args, **kwargs)` Please use PyGridCellAttrProvider.SetColAttr instead.
| ``base_SetRowAttr`(*args, **kwargs)` Please use PyGridCellAttrProvider.SetRowAttr instead.
GridCellAttr | `GetAttr(self, row, col, kind)`
| `SetAttr(self, attr, row, col)`
| `SetColAttr(self, attr, col)`
| `SetRowAttr(self, attr, row)`

Property Summary
| `thisown`: The membership flag

Method Details

### base_GetAttr(*args, **kwargs)

Please use PyGridCellAttrProvider.GetAttr instead.

### base_SetAttr(*args, **kwargs)

Please use PyGridCellAttrProvider.SetAttr instead.

### base_SetColAttr(*args, **kwargs)

Please use PyGridCellAttrProvider.SetColAttr instead.

### base_SetRowAttr(*args, **kwargs)

Please use PyGridCellAttrProvider.SetRowAttr instead.

Property Details

### thisown

The membership flag

  Get Method:
    unknown--1218701580(...)
  Set Method:
    unknown--1218701524(...)

Generated by Epydoc 2.1.20050511.rpd on Thu Mar 22 12:09:55 2007 | http://epydoc.sf.net